Subject: Re: traffic lights

From: [email-masked] (Joe Ekaitis )
Date: 21 Oct 1995 13:39:33 GMT

In <Pine.SOL.3.91.951021045444.13069F-100000@osiris> Lord Kittenslayer
<nbassett@osiris> writes: 
>
>On 20 Oct 1995, Pete Babic wrote:
>
>> I like the way the traffic lights are set up in Germany. If you're
waiting for
>> a red light the yellow light comes on before the light changes to
green. This
>> tells you to shift into first and get ready to go. I wish they would
do this
>> in the U.S. It's a simple thing, but very useful.
>
>Other European countries have even better traffic light systems than
Germany:
>For example, in Austria a light will flash green before turning yellow

>and then red.  This way you are never faced with the immediate
decision 
>of either slamming on the brakes or running a light.
>

I don't think there's any hope of the U.S.A., or at least California,
installing traffic signals that will help the driver at all.

You can no longer "hit all the greens" in California by driving at or
near the speed limit because fixed-interval traffic signals are a thing
of the past.  All of the traffic signals in California are
traffic-activated, that is, sensors in the pavement send traffic flow
information to the signals' control unit, supposedly so that the
approaching vehicle can get a green light sooner and traffic flow would
be much smoother, with fewer unnecessary stops.

Unfortunately, this would result in less fuel consumption and longer
lasting vehicles overall, since drivers wouldn't have to come to a stop
and go through the gears all over again.  So, traffic signals in
California are programmed to keep as many cars at a standstill as
possible, forcing them to accelerate from a standing stop much more
frequently than in the past, resulting in greater fuel consumption and
more wear and tear on individual vehicles.  Even at intersections where
a 6-lane boulevard crosses a 2-lane side street, the signals will halt
traffic on the heavily-travelled boulevard when the greatest number of
vehicles can be trapped behind a red light, rather than waiting for a
break in the traffic to activate the side street's green light.

I hate to resort to the "C" word, but I wouldn't be surprised if the
signals were programmed with the help of the oil and auto industry.

 /\/\
/(..)\

---

From: [email-masked] (Mart Molle)
Date: 21 Oct 1995 16:47:47 GMT

Joe Ekaitis ([email-masked]) wrote:
: 
: I don't think there's any hope of the U.S.A., or at least California,
: installing traffic signals that will help the driver at all.
: 
: You can no longer "hit all the greens" in California by driving at or
: near the speed limit because fixed-interval traffic signals are a thing
: of the past.  All of the traffic signals in California are
: traffic-activated, that is, sensors in the pavement send traffic flow
: information to the signals' control unit, supposedly so that the
: approaching vehicle can get a green light sooner and traffic flow would
: be much smoother, with fewer unnecessary stops.

This isn't true.  Many major streets have synchronized traffic lights.
However, the above "quick-acting" traffic activation seems quite common
on less travelled streets.  Nevertheless, it is not the most diabolical
feature of traffic control in these parts.  Here in Riverside, we have
a historic, palm-tree lined boulevard that runs for miles and miles with
a 45mph speedlimit and a 4-way stop sign at every block.  Now *that* is
the silliest way to burn up fuel and brake pads I've ever seen...

Mart Molle
Computer Science Department
University of California, Riverside.

---

From: [email-masked] (Scott VanTussenbrook)
Date: 23 Oct 1995 09:37:31 GMT

Lord Kittenslayer (nbassett@osiris) wrote:

: The whole point was that: in Austria, when you see a solid green, you 
: know it will not suddenly turn yellow. (because it will FLASH first)

I've driven in Austria and I must agree that the flashing green is indeed 
a big help.  Even though it sounds like something trivial, it helps to 
know if the green light you're heading into is "stale" or not.  I also 
liked the red/yellow before the green.  Again, it doesn't sound like much 
but it is true--with a proper warning like that, people actually *move* 
when the light turns green and more cars get through the intersection.

Scott

---

From: [email-masked] (David Robinowitz)
Date: 24 Oct 1995 08:36:16 -0400

Any operating systems student will remind you that timed lights are only 
effective on one-way streets. On two way streets they can only optimize 
one direction of traffic. Thus, timed lights are best for rush-hour 
traffic, but for not for general use. There are more complex schemes 
which aim to minimize  the number of stops and waiting time for all cars, 
but I'm skeptical. At Columbia's engineering school, there's (was?) a 
computerized elevator control system. Nice color monitors, but the waits 
seem(ed) as long as ever. So much for heuristics... 

I remember a taxi ride in NY up 10th Ave/Amsterdam (a one-way street)
without stopping at a light from the village to 121st street. What a
city... 

-Dave
-- 
---------------------------------------------------------------------
David L. Robinowitz			                [email-masked]
Georgetown University School of Medicine '99   (202) 387-1662 (phone)

---

From: [email-masked] (Stuart Paynter)
Date: 24 Oct 1995 13:27:06 GMT

In article <[email-masked]>, [email-masked] (David Robinowitz) writes:
|> 
|> Any operating systems student will remind you that timed lights are only 
|> effective on one-way streets. On two way streets they can only optimize 
|> one direction of traffic. Thus, timed lights are best for rush-hour 
|> traffic, but for not for general use. There are more complex schemes 
|> which aim to minimize  the number of stops and waiting time for all cars, 
|> but I'm skeptical. 

There are some cities that actually use the traffic light system to 
"frustrate" drivers in an attempt to switch them to mass transit systems.
It is unlikely that you would get any of them to admit to it though.

SP

---

From: [email-masked] (Adam Neil Villani)
Date: 24 Oct 1995 21:07:09 GMT

>without stopping at a light from the village to 121st street. What a

Just to introduce some anecdotal evidence, the cross-town east-west
one-way streets in Pasadena have excellent timed signals. Never use
Colorado Blvd. through central Pasadena.

(The streets are Union going west, north of Colorado Blvd., and Green St.
going east, south of Colorado Blvd.)

-- 
Adam Villani
[email-masked]
http://www.ugcs.caltech.edu/~addam
"Business. Numbers. Money. People."

---

From: [email-masked] (Michael Taksa)
Date: 24 Oct 1995 13:42:36 GMT

are sensor controlled. Just before you stop you hit a sensor and
the light turns green. They are trying to slow you down. Does not
work though. most people including me figured it out right away.
You just keep going at the same speed you were going at without even 
tapping the brakes. by the time you enter the intersection the light is
green. A great trap though if the cops can switch the light
to manual preventing it turning green as soon as the sensor is
hit by the car.

---

From: [email-masked] (Victor Eijkhout)
Date: 24 Oct 1995 20:58:48 GMT

In article <[email-masked]> [email-masked] (David Robinowitz) writes:

> effective on one-way streets.

Not if you set different speed limits for the directions.
Better: have signs that say "if you drive xxx mph you will hit
all greens". I'd be perfectly happy going a bit under the legal
speed limit if I could just keep going.

-- 
Victor Eijkhout
405 Hilgard Ave ............................ `Saying Windows95 is equal to the
Department of Mathematics, UCLA ........... Macintosh is like finding a potato
Los Angeles CA 90024 ..................... that looks like Jesus and believing
phone: +1 310 825 2173 / 9036 ............ you've witnessed the second coming.'
http://www.math.ucla.edu/~eijkhout/                             [Guy Kawasaki]

---

From: [email-masked] (Stephen Dailey)
Date: Wed, 25 Oct 1995 02:23:31 GMT

In article <[email-masked]> [email-masked] (Victor Eijkhout) writes:
>From: [email-masked] (Victor Eijkhout)
>Subject: Re: traffic lights
>Date: 24 Oct 1995 20:58:48 GMT

>speed limit if I could just keep going.

Glendale, Arizona, does this, or at least they did the last time I was there 
five years ago.  There's a sign on each traffic signal saying "Signals Set for 
30 mph" or whatever the speed limit is.  They are, too.

-----
Steve
Woodinville, Washington USA
[email-masked]

---

From: [email-masked] (John Oliver)
Date: Wed, 25 Oct 1995 07:49:34

>30 mph" or whatever the speed limit is.  They are, too.

Charlottesville, VA, does as well (in places).  But I recall seeing that the 
signals were set for about 25 mph, as posted, in an area where the speed limit 
was 40 or 45!

Here in Michigan, the signals on Michigan Avenue (US-12) are set for about 50 
mph or so.  The speed limit is 40.  Guess how fast people drive?  :-)

John Oliver
Canton, MI

'94 Probe GT
'92 Trek 2100

******************************************************************************************
All opinions expressed above are my own and in no way represent the views of
Ford Motor Co. 
******************************************************************************************

---

From: [email-masked] (Adam Neil Villani)
Date: 25 Oct 1995 19:38:02 GMT

In article <[email-masked]>,
>speed limit if I could just keep going.

They actually have a sign that says something to the effect of "signals
timed for 35 mph" going southbound on Vista Del Mar (?) from Playa 
Del Rey.

---

From: [email-masked] (Ron Bean)
Date: Wed, 25 Oct 1995 21:15:40 GMT

[email-masked] (Scott VanTussenbrook) writes:

>Even though it sounds like something trivial, it helps to
>know if the green light you're heading into is "stale" or not.

   The lights around here are on such short cycles that even if
you see it turn green, it may be red again by the time you get
there. Unfortunately, this encourages more people to try to sneak
through on the yellow, since they feel they didn't get a "fair
shot" at it. It would be nice if you could count on a light to
*stay* green for a reasonable length of time.

  Anyone care to guess why the lights would be set up this way?

==================
[email-masked] (Ron Bean)
uwvax!astroatc!nicmad!madnix!zaphod

---

From: Lord Kittenslayer <[email-masked]>
Date: Wed, 25 Oct 1995 18:17:01 -0700

On 25 Oct 1995, P. J. Remner wrote:
> 
> In Cleveland, almost all traffic lights flash yellow for the main street
> and red for the side street after about midnight.  The flashing yellow
> generally means "watch the intersection for crossing traffic" and the 
> flashing red is basically a stop sign.  Where two main streets cross, I 
> believe the lights flash yellow for both directions.
                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
I don't believe they do. I've never been to Cleveland, but I still feel 
pretty confident in saying that. That would be a deathtrap for American 
drivers in any state.

L.K.

---

From: D Banks <[email-masked]>
Date: 26 Oct 1995 19:33:27 GMT

->
Flashing green is used in Canada (the same way as flashing yellow is
used in the US)

Flashing green means different things in different provinces.  In B.C, 
it's used for pedestrian controlled lights. However, in Ontario, it 
means the same things as an advance left-turn green arrow.

---

From: [email-masked] (Stephen Dailey)
Date: Thu, 26 Oct 1995 03:32:56 GMT

In article <[email-masked]> [email-masked] ( George Jefferson ) writes:
>From: [email-masked] ( George Jefferson )
>Date: 25 Oct 1995 22:08:08 GMT

>:In Cleveland, almost all traffic lights flash yellow for the main street
>:and red for the side street after about midnight.  The flashing yellow
>:generally means "watch the intersection for crossing traffic" and the 
>:flashing red is basically a stop sign.  Where two main streets cross, I 
>:believe the lights flash yellow for both directions.
>                           ^^^^^^^^^^^^^^^^^^^^^^

>really, I'd think that would be mighty dangerous.

>By the way, we have one intersection where on 'off' hours it
>goes to flashing red (stop) on the side street and flashing *green*
>for the main road.  There is actually a sign there explaining
>what the flashing green means.  Pretty much the same as a flashing
>yellow as far as I can tell.

Flashing green is used in Canada (the same way as flashing yellow is 
used in the US), but that's the first time I've heard of flashing green in the 
US.  Is Pennsylvania the only state that does this?

-----
Steve

---

From: [email-masked] (William R. Duetschler)
Date: 28 Oct 1995 17:10:14 GMT

On Thu, 26 Oct 1995 03:32:56 GMT in article
<[email-masked]> in newsgroup
rec.autos.driving, Stephen Dailey ([email-masked]) wrote: 

: Flashing green is used in Canada (the same way as flashing yellow is 
: used in the US), but that's the first time I've heard of flashing green in the 
: US.  Is Pennsylvania the only state that does this?

Nope, Delaware does it too.

Bill D

---

From: [email-masked] (Mr. Hand )
Date: 26 Oct 1995 13:07:34 GMT

In <[email-masked]> [email-masked] (P.
J. Remner) writes: 
>
>
>In a previous article, nbassett@osiris (Lord Kittenslayer) says:
>
>>However, I think the best thing to do would be to just shut down the 
>>signals from 1 - 5 A.M., so those of us driving late at night
wouldn't 
>>have to come to a grinding halt for a single crossing vehicle...
>
Riding my bike to work at 3 AM I've made a few observations:  Most
drivers feel that signals are optional at this time of the morning, 
drunks stop more often than sober folks, and...those damn people on
bikes don't stop for anything short of life threatening (trains,
semi-tractor/trailers, etc.).<G>  In the 'Life's Little DEstruction
Book' one of the tips is that stoplights are optional after midnight--I
think most everybody up at that time has read this little gem.

Eric
84 Jetta 2.0 16V

---

From: [email-masked] (Between 408 and 510...)
Date: Sat, 28 Oct 1995 05:29:36 GMT

[email-masked] (P. J. Remner) writes:

>The flashing yellow

>Most people just fly through at 50mph, oblivious of any cars around them.

	When I approach a non-fully controlled (i.e. every intersection
but with a red/green trafic light) intersection at night, I flash my
high beams. Hope it makes me visible a little earlier.

	Leo

---

From: [email-masked] (Aaron M. Gold)
Date: Thu, 26 Oct 1995 03:52:31 GMT

>without stopping at a light from the village to 121st street. What a

  I heard there is a certain speed which will insure that you hit all
the lights green in Manhattan - like, 27MPH.  That's what I heard, but
I don't think it's correct.  Once you catch a red, if there's no
traffic, you can pretty much ride the wave of lights turning green
ahead of you - if the taxis don't get you first.  :)  I've made
several 20-30 block uptown runs without catching a red, but have yet
to try for the whole island.  :)
--
Aaron M. Gold - [email-masked]
 
"I'm not Gary Stockton!"

---

From: Oliver Arnd Markwirth <[email-masked]>
Date: Fri, 27 Oct 1995 00:50:49 -0500

It is very true on certain streets of Abilene, Texas. The city posted the 
suggested speed of 21mph next to traffic lights. It is rather useful. In 
Richardson, Texas, the timing of traffic lights are co-ordinated by central 
monitor station; the co-ordinators observe the traffic volume and flow by 
remote cameras then adjust the timing accordingly. It is very helpful 
when Richardson is the "stampede ground" for rush-hour traffic between 
suburbans and Dallas.

---

From: [email-masked] (Adam Fila)
Date: 29 Oct 1995 20:10:32 -0500

>  Anyone care to guess why the lights would be set up this way?

I prefer the short cycles, actually.  There is a light next to my house
which has an extremely short cycle for both directions, so I know that
if I get a yellow (-> red), I only have to wait 15-20 seconds before I get
green again.  There is a light on my way to work though which stays
red for minutes, and I *always* try to beat the yellow, knowing that
I would have to wait long otherwise.

I believe that it's the longer cycles that encourage people to cut
trough yellow...

-adam

---

From: [email-masked] (Dan Mushush)
Date: 1 Nov 1995 23:42:45 GMT

In article <[email-masked]>, [email-masked] says...
It doesn't seem to work that way around here. It's gotten so
>bad that some of the lights now show red both directions for a
>second or two, just to make sure the intersection really is clear.
>
> The reason is that the problem is worse here than anywhere else.
>
Sounds a bit like Houston.  People here have come to the conclusion that 
if you are close enough to the guy in front of you you dont't have to 
stop.  When I first moved here I found myself running some pretty hot 
yellow lights just to get anywhere, then I'd look in my mirror and see 4-5 
more cars follow me through.  I've even watched police cars in the line 
playing the same game.

Dan
[email-masked]

---

From: [email-masked] (Mark Pickerill)
Date: 1 Nov 1995 16:54:40 -0800

In article <[email-masked]>,
>more cars follow me through.  I've even watched police cars in the line 
Sorta the opposite game is played in Chicago.  There, it seems mandantory to
start inching into the intersection while your light is still red.  About 3/4
of a car length over the limit line, more if there is room.  The guy behind
you will *honk* if you're first in line and you *don't* inch forward.  What
all this accomplishes is beyond me as no-one actually *goes* before the light
turns green.

The pedestrians are even worse.  They start crossing en-masse as soon as the
opposing light turns yellow...

;*****************************************************************************
;*  ___                                                                      *
;* /   \    Mark D. Pickerill      Monterey Bay Aquarium Research Institute  *
;*|     |   [email-masked]                  (M.B.A.R.I.)                    *
;* \   /                                                                     *
;*__\_/__   Servant of Athena            ++++++++++++++++++++++++++++++++++++*
;*   |      Assembly hack extraodinaire  + All opinions are my own, and in  +*
;*   |      Diesel engine nut            + no way reflect opinions of MBARI +*
;*   |      Mercedes-Benz enthusiast     + "Standard disclaimers apply"     +*
;*   |                                   ++++++++++++++++++++++++++++++++++++*
;*****************************************************************************

---

From: [email-masked] (Ron Bean)
Date: Tue, 31 Oct 1995 23:28:42 GMT

[email-masked] (Adam Fila) writes:

>>through on the yellow...
>green again.                                    ^^^^^^^^^^^^^

   Many intersections have left-turn arrows both ways, so once it
turns red you're stuck for a while regardless (if they didn't, it
would be even worse-- there are some places where the only way to
make a left turn is to go through on the yellow!).

   It may also be a local thing-- I've heard that we've been
selected to be part of an experiment using automatic cameras that
take pictures of cars that enter the intersection after the light
turns red (meaning they missed the yellow completely, and went
through the red anyway). The reason is that the problem is worse
here than anywhere else.

   I think part of it has to do with whether the light stays
green after the cars that were waiting have gotten through
(it won't during rush hour, but I'm thinking of "normal"
traffic). If they're all gone, then it's no surprise when the
light turns red. But if you get there just as the last one clears
the intersection, and there are no other cars behind you, it
seems stupid for it not to stay green a couple more seconds (you
would think the sensors in the road could pick this up and
"extend" the green for you).

   Rush hour is a different case-- then it's a matter of whether
you get to move a reasonable distance during each cycle, instead
of a constant stop-and-go. I've noticed that cops directing
traffic by hand at large events tend toward very long "cycles".
This may be just for their own convenience, but it's nice to know
that once you get moving, you have a pretty good chance of
getting through the intersection.

==================

---

From: [email-masked] (Hi Ho Silver)
Date: Wed, 1 Nov 1995 00:13:52 GMT

In article <[email-masked]> [email-masked] (Adam Szymczak) writes:
$Just use the pedestrian crossing lights as an indicator, if they are 
$available. Usually, they start flashing yellow indicating that the 
$traffic light will turning to Yellow then Red.

   Except that at least around here, they've been screwing around with
those, too, so that they don't start flashing "Don't Walk" until
the same time the light turns yellow.  I pity the less mobile
pedestrians who, say, get halfway across a four-lane street only
to find that the light is changing and they can't reach _either_
side in the time before they are to be run over by traffic on a
green the other way.

   Really, it should stop saying "Walk" long enough in advance that
those with limited mobility could either reach the other side, the
median, or turn around and get back to the side from which
they started before cross traffic gets its green light.  I think,
actually, that it used to be done something like that; certainly,
I remember that lights used to flash "Don't Walk" for a while _before_
the traffic lights turned yellow.  But I guess this was sacrificed
due to some study or other.
-- 
 ______________________________________________
/  Hi Ho Silver, who likes the idea of having  \  __________________________
\  SNTF and large h00ters in the same package   \/   [email-masked]    \
 \______________________________________________/ ...{!uunet}!bokonon!silver \

---

From: [email-masked] (Hi Ho Silver)
Date: Wed, 1 Nov 1995 00:09:16 GMT

In article <Pine.SOL.3.91.951021045444.13069F-100000@osiris> Lord Kittenslayer <nbassett@osiris> writes:
$On 20 Oct 1995, Pete Babic wrote:
$> I like the way the traffic lights are set up in Germany. If you're waiting for
$> a red light the yellow light comes on before the light changes to green. This
$> tells you to shift into first and get ready to go. I wish they would do this
$> in the U.S. It's a simple thing, but very useful.

   In Toronto, at least, drivers do the same thing by watching the
cross-traffic lights.  When they go red, you know something's about
to change.

   If you don't know the light pattern at the intersection, of course,
you don't know if there's an advanced green the other way or anything
like that.  But advanced greens are going the way of the dodo and
being replaced by separate turn lights so it's often not too
difficult to guess what the next thing the lights will do will be.

   Not as precise as the system you described, sure, but it's not
like we're driving in a vacuum without the intermediate yellow.

   And anyway, since there's almost always someone running the red
light, even after the light turns green you often can't just proceed
into the intersection immediately.  So our green light usually means
the same as the yellow light described above - you've still got time
to shift into first because there are probably a few cars still crossing
through the intersection.

$Other European countries have even better traffic light systems than Germany:
$For example, in Austria a light will flash green before turning yellow 
$and then red.  This way you are never faced with the immediate decision 
$of either slamming on the brakes or running a light.

   So what's the difference between this and a longer yellow which
lasts the same time as the Austrian flashing green plus yellow?
Either way, when the light changes from solid green to something
else, you know you have some number of seconds before the light
turns red.

   Again, the way Torontonians deal with this is by simply not stopping
until the light turns red.  It's rare to see someone actually stop
for a yellow light.

   I wish there was something effective that the authorities could
do to try to fix up this kind of driver behaviour, but apparently they
have no will or ability to do it.  And drivers aren't even scared of
running red lights with cops around because they know most cops
will let them get away with it.

   Oh, and another beef - why do light timings vary so much from
one city to another?  This ought to be consistent, shouldn't it,
so that a driver in an unfamiliar city will at least know that,
say, when the light turns yellow it will remain yellow for some
given period of time before turning red, and that a four-way red
will be used for a second or two before cross traffic gets a green
light?
-- 
 ______________________________________________
/  Hi Ho Silver, who likes the idea of having  \  __________________________
\  SNTF and large h00ters in the same package   \/   [email-masked]    \
 \______________________________________________/ ...{!uunet}!bokonon!silver \

---

From: [email-masked]
Date: Fri, 03 Nov 1995 14:09:47 GMT

>signals were programmed with the help of the oil and auto industry.

Have you driven through Santa Monica, California lately? I don't know
if the lights are sensor controlled, but from my experience it's
almost impossible to drive more than one block at a time without
hitting a red light.

---

From: [email-masked] (David Mann)
Date: Sun, 05 Nov 95 08:19:59 GMT

:Have you driven through Santa Monica, California lately? I don't know
:if the lights are sensor controlled, but from my experience it's
:almost impossible to drive more than one block at a time without
: hitting a red light.

Portland OR had az schmucky mayor for a while (Neil Goldschmidt) who had the 
traffic control folks knock all the signals off-synch on the major commuter 
routes.  His reasoning was to get folks out of their no-longer-convenient cars 
and into public transit where the good government people said they belonged.

A fellow in Beaverton was selling home-built signal changers.  These gadgets 
used by fire and "law enforcement" personnel, change signals to green.  This 
lets the fire trucks and ambulances get to the disasters faster, and officer 
friendly to the donut stand faster.  He home-brewed these little honeys and 
sold them to whomever had 200-some-odd bucks.  

Interestingly enough, most of the cops who knew he was making these were 
amused by the whole thing, some even buying them for their personal cars.  

Needless to say, some goody-good on the city council whined...

*****************************************************************************
  Kodiak Services Company - Energy Reduction Audits - Lighting Designs for
  Commercial, Industrial, Government Properties.  We do our work ANYWHERE.
   EPA Green Lights Surveyor Ally. Call David "Bear" Mann (503) 240-1831
 FAX (503) 289-7384   Internet: [email-masked] -or- [email-masked]
*****************************************************************************